# $Id: cwind.tcl 1.4 2001/10/11 10:12:10 s-imai s-imai $
#
# Copyright (C) 2000-2001 Satoshi Imai
#

package provide cwind 1.3.1

load [file join [file dirname [info script]] cwind.dll]
 
namespace eval ::cwind {} {

namespace export waitwind minimizeAll

proc ::cwind::waitwind {title {time 5}} {
	set delay 100
	set time [expr $time*1000/$delay]
	for {set i 1} {$i<=$time} {incr i} {
		set cur [::cwind::gettext]
		if {[string match $title $cur]} {return}
		# nonblocking wait
		after $delay {set _waited 1}
		vwait _waited
	}
	error "timeout waiting for window $title"
}

proc ::cwind::minimizeAll {} { 
	set ll [::cwind::wlist ]
	foreach elem $ll {
		if {[::cwind::state -exact $elem]!="Minimized"} {
			::cwind::show -exact $elem
			after 100
			::cwind::minimize
		}
	}
}

}
